#!/bin/sh -e

cd ROX-Filer

sed -i 's:g_strdup(getenv("APP_DIR")):"/usr/share/rox":' src/main.c
sed -i 's/gboolean/extern &/' src/session.h

mkdir build
cd build
../src/configure LIBS="-lm -ldl"
make
cd ..

install -Dm755 style.css "$1/usr/share/rox/style.css"

for stuff in  Help Messages Options.xml ROX images .DirIcon
do
  mv $stuff "$1/usr/share/rox/$stuff"
done

install -Dm755 ../rox.1 "$1/usr/share/man/man1"
install -Dm755 ROX-Filer "$1/usr/bin/rox"
